description

# LibraryDependencyMirror class Null safety

A mirror on an import or export declaration.

Implemented types
  - Mirror

## Constructors

LibraryDependencyMirror()

## Properties

combinators → List<CombinatorMirror>
  Returns the list of show/hide combinators on the import/export declaration.
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isDeferred → bool
  Returns true iff this dependency is a deferred import. Otherwise returns false.
  read-only
isExport → bool
  Is `true` if this dependency is an export.
  read-only
isImport → bool
  Is `true` if this dependency is an import.
  read-only
location → SourceLocation?
  Returns the source location for this import/export declaration.
  read-only
metadata → List<InstanceMirror>
  read-only
prefix → Symbol?
  Returns the prefix if this is a prefixed import and `null` otherwise.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
sourceLibrary → LibraryMirror
  Returns the library mirror of the library that imports or exports the targetLibrary.
  read-only
targetLibrary → LibraryMirror?
  Returns the library mirror of the library that is imported or exported, or null if the library is not loaded.
  read-only

## Methods

loadLibrary() → Future<LibraryMirror>
  Returns a future that completes with a library mirror on the library being imported or exported when it is loaded, and initiates a load of that library if it is not loaded.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited